# OEProp

class `psi4.core.``OEProp`

  Bases: `psi4.core.TaskListComputer`

  docstring

  Attributes Summary

  `valid_methods` |

  Methods Summary

  `Exvals`(self) | The x component of the field (in a.u.) at each grid point
  `Eyvals`(self) | The y component of the field (in a.u.) at each grid point
  `Ezvals`(self) | The z component of the field (in a.u.) at each grid point
  `Vvals`(self) | The electrostatic potential (in a.u.) at each grid point
  `add`(self, arg0) | docstring
  `clear`(self) | docstring
  `compute`(self) | docstring
  `set_Da_ao`(self, Da, symmetry) | docstring
  `set_Da_mo`(self, arg0) | docstring
  `set_Da_so`(self, arg0) | docstring
  `set_Db_ao`(self, Db, symmetry) | docstring
  `set_Db_mo`(self, arg0) | docstring
  `set_Db_so`(self, arg0) | docstring

  Attributes Documentation

  `valid_methods` = ['DIPOLE', 'QUADRUPOLE', 'MULLIKEN_CHARGES', 'LOWDIN_CHARGES', 'WIBERG_LOWDIN_INDICES', 'MAYER_INDICES', 'MAYER_INDICES', 'MO_EXTENTS', 'GRID_FIELD', 'GRID_ESP', 'ESP_AT_NUCLEI', 'NO_OCCUPATIONS']

  Methods Documentation

  `Exvals`(self: psi4.core.OEProp) → List[float]

    The x component of the field (in a.u.) at each grid point

  `Eyvals`(self: psi4.core.OEProp) → List[float]

    The y component of the field (in a.u.) at each grid point

  `Ezvals`(self: psi4.core.OEProp) → List[float]

    The z component of the field (in a.u.) at each grid point

  `Vvals`(self: psi4.core.OEProp) → List[float]

    The electrostatic potential (in a.u.) at each grid point

  `add`(self: psi4.core.OEProp, arg0: str) → None

    docstring

  `clear`(self: psi4.core.OEProp) → None

    docstring

  `compute`(self: psi4.core.OEProp) → None

    docstring

  `set_Da_ao`(self: psi4.core.OEProp, Da: psi::Matrix, symmetry: int=0) → None

    docstring

  `set_Da_mo`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Da_so`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Db_ao`(self: psi4.core.OEProp, Db: psi::Matrix, symmetry: int=0) → None

    docstring

  `set_Db_mo`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Db_so`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `Exvals`(self: psi4.core.OEProp) → List[float]

    The x component of the field (in a.u.) at each grid point

  `Eyvals`(self: psi4.core.OEProp) → List[float]

    The y component of the field (in a.u.) at each grid point

  `Ezvals`(self: psi4.core.OEProp) → List[float]

    The z component of the field (in a.u.) at each grid point

  `Vvals`(self: psi4.core.OEProp) → List[float]

    The electrostatic potential (in a.u.) at each grid point

  `add`(self: psi4.core.OEProp, arg0: str) → None

    docstring

  `clear`(self: psi4.core.OEProp) → None

    docstring

  `compute`(self: psi4.core.OEProp) → None

    docstring

  `set_Da_ao`(self: psi4.core.OEProp, Da: psi::Matrix, symmetry: int=0) → None

    docstring

  `set_Da_mo`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Da_so`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Db_ao`(self: psi4.core.OEProp, Db: psi::Matrix, symmetry: int=0) → None

    docstring

  `set_Db_mo`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_Db_so`(self: psi4.core.OEProp, arg0: psi::Matrix) → None

    docstring

  `set_title`(self: psi4.core.TaskListComputer, arg0: str) → None

    docstring

  `valid_methods` = ['DIPOLE', 'QUADRUPOLE', 'MULLIKEN_CHARGES', 'LOWDIN_CHARGES', 'WIBERG_LOWDIN_INDICES', 'MAYER_INDICES', 'MAYER_INDICES', 'MO_EXTENTS', 'GRID_FIELD', 'GRID_ESP', 'ESP_AT_NUCLEI', 'NO_OCCUPATIONS']